Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.bundling
[Java] Class Tar

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.tasks.AbstractCopyTask
              org.gradle.api.tasks.bundling.AbstractArchiveTask
                  org.gradle.api.tasks.bundling.Tar

    public class Tar
    extends AbstractArchiveTask

Assembles a TAR archive.

Constructor Summary
`Tar()`

Method Summary
`protected CopyAction` | `createCopyAction()`
`Compression` | `getCompression()` Returns the compression that is used for this archive.
`void` | `setCompression(Compression compression)` Configures the compressor based on passed in compression.

Methods inherited from class AbstractArchiveTask
getAppendix, getArchiveName, getArchivePath, getBaseName, getClassifier, getDestinationDir, getExtension, getVersion, into, into, setAppendix, setArchiveName, setBaseName, setClassifier, setDestinationDir, setExtension, setVersion

Methods inherited from class AbstractCopyTask
configureRootSpec, copy, createCopyAction, createRootSpec, eachFile, eachFile, exclude, exclude, exclude, exclude, expand, filesMatching, filesNotMatching, filter, filter, filter, from, from, getDefaultSource, getDirMode, getDuplicatesStrategy, getExcludes, getFileMode, getIncludeEmptyDirs, getIncludes, getMainSpec, getRootSpec, getSource, include, include, include, include, into, into, isCaseSensitive, rename, rename, rename, setCaseSensitive, setDirMode, setDuplicatesStrategy, setExcludes, setFileMode, setIncludeEmptyDirs, setIncludes, with

Constructor Detail

### Tar

    public Tar()

Method Detail

### createCopyAction

    @Override
    protected CopyAction createCopyAction()

### getCompression

    public Compression getCompression()

  Returns the compression that is used for this archive.
  Returns:
    The compression. Never returns null.

### setCompression

    public void setCompression(Compression compression)

  Configures the compressor based on passed in compression.
  Parameters:
    `compression` - The compression. Should not be null.

Gradle API 1.10